tbb::internal::allocate_root_with_context_proxy Class Reference

`#include <task.h>`

Inheritance diagram for tbb::internal::allocate_root_with_context_proxy:
Collaboration diagram for tbb::internal::allocate_root_with_context_proxy:

## Public Member Functions

| allocate_root_with_context_proxy (task_group_context &ctx)
task &__TBB_EXPORTED_METHOD | allocate (size_t size) const
void __TBB_EXPORTED_METHOD | free (task &) const

## Private Attributes

task_group_context & | my_context

## Additional Inherited Members

Private Member Functions inherited from tbb::internal::no_assign
void | operator= (const no_assign &)=delete
| no_assign (const no_assign &)=default
| no_assign ()=default

## Detailed Description

Definition at line 144 of file task.h.

## Constructor & Destructor Documentation

## allocate_root_with_context_proxy()

tbb::internal::allocate_root_with_context_proxy::allocate_root_with_context_proxy | ( | task_group_context & | ctx | ) |

inline

Definition at line 147 of file task.h.

: my_context(ctx) {}

## Member Function Documentation

## allocate()

task& __TBB_EXPORTED_METHOD tbb::internal::allocate_root_with_context_proxy::allocate | ( | size_t | size | ) | const

## free()

void __TBB_EXPORTED_METHOD tbb::internal::allocate_root_with_context_proxy::free | ( | task & |  | ) | const

## Member Data Documentation

## my_context

task_group_context& tbb::internal::allocate_root_with_context_proxy::my_context

private

Definition at line 145 of file task.h.

The documentation for this class was generated from the following file:

- task.h

tbb::internal::allocate_root_with_context_proxy::my_context
task_group_context & my_context
Definition: task.h:145

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.